<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Activity;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20211207152023 extends AbstractMigration
{
    public function down(Schema $schema): void
    {
        $this->throwIrreversibleMigrationException('placevisible and placelabel could not be created');
    }

    public function getDescription(): string
    {
        return 'DROP place visible and place label, which are replaced by location';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE activitytype DROP placevisible');
        $this->addSql('ALTER TABLE activitytype DROP placelabel');
    }
}
